class CEntityClassPair;

class CRelationClass : public CLandscapeClassObject /* extends LandscapeObject3D extends LandscapeObject */ {
private:
	// This is the list of Entity class pairs that can participate in relations of this relation class
	// It can be presumed to be quite small.

	CEntityClassPair	*m_entityClassPairListP;

public:
	CRelationClass		*m_nextP;

	CRelationClass(const char *idP);
	CEntityClassPair *getEntityClassPairs(void) const;
	void addRelationConstraint(CEntityClassPair *epP);
	void addRelationConstraint(CEntityClass *ec1P, CEntityClass *ec2P); 

	virtual void putAttribute(const char *idP, const char *valueP);
};

